Installation – problème ::class ?

Ce sujet contient 2 réponses, 2 participants et a été mis à jour pour la dernière fois par Laurent Rameil, le il y a 2 années et 2 mois.

Vous lisez 2 fils de discussion
  • Auteur
    Messages
    • #2424


      Laurent Rameil
      Invité

      Bonjour,
      j’ai réussi à déployer PlannigBiblio sur mon wamp (avec un PHP 5.6.25) sans trop de souci (juste une petite erreur sur le fichier include/noConfig.php à la ligne :

      $tmp2=$tmp1[count($tmp1)-2]. »/ ».$tmp1[count($tmp1)-1];

      )

      Mais je n’arrive pas à le déployer sur mon serveur (avec un PHP 5.4.16) : j’obtiens l’erreur suivante :

      Parse error: syntax error, unexpected ‘class’ (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or ‘{‘ or ‘$’ in /home/scd-test/public_html/PlanningBiblio-19.04.01/planning/init.php on line 96

      D’après mes recherches cela viendrait de l’utilisation de ::class qui ne serait utilisable qu’en version 5.5 de PHP. Est-ce que véritablement le cas ? Et si oui, que peut-on faire ?

      par avance merci pour votre réponse,

      Bien cordialement,
      L. Rameil

    • #2428


      Jérôme
      Maître des clés

      Bonjour,

      PHP 7.0 ou supérieur est requis pour les versions 2.8x, 19.04x et supérieures.
      Voir https://www.planningbiblio.fr/telechargement/

      Cordialement,
      Jérôme

    • #2430


      Laurent Rameil
      Invité

      ok, merci pour votre réponse.

      Cordialement,
      L. Rameil

Vous lisez 2 fils de discussion

Le sujet ‘Installation – problème ::class ?’ est fermé à de nouvelles réponses.